<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ScolaSync: Référence de la classe src.diskFull.mainWindow</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ScolaSync
   &#160;<span id="projectnumber">5.1</span>
   </div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Recherche" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classsrc_1_1diskFull_1_1mainWindow.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Fonctions membres publiques</a> &#124;
<a href="#pub-attribs">Attributs publics</a> &#124;
<a href="classsrc_1_1diskFull_1_1mainWindow-members.html">Liste de tous les membres</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la classe src.diskFull.mainWindow</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Graphe d'héritage de src.diskFull.mainWindow:</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1diskFull_1_1mainWindow__inherit__graph.png" border="0" usemap="#src_8diskFull_8mainWindow_inherit__map" alt="Inheritance graph"/></div>
<map name="src_8diskFull_8mainWindow_inherit__map" id="src_8diskFull_8mainWindow_inherit__map">
<area shape="rect" title=" " alt="" coords="5,80,171,107"/>
<area shape="rect" href="classQMainWindow.html" title=" " alt="" coords="35,5,141,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">légende</a>]</span></center></div>
<div class="dynheader">
Graphe de collaboration de src.diskFull.mainWindow:</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1diskFull_1_1mainWindow__coll__graph.png" border="0" usemap="#src_8diskFull_8mainWindow_coll__map" alt="Collaboration graph"/></div>
<map name="src_8diskFull_8mainWindow_coll__map" id="src_8diskFull_8mainWindow_coll__map">
<area shape="rect" title=" " alt="" coords="5,80,171,107"/>
<area shape="rect" href="classQMainWindow.html" title=" " alt="" coords="35,5,141,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">légende</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Fonctions membres publiques</h2></td></tr>
<tr class="memitem:a7fa65eb20e0c7985b7a864844ca531c7"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1diskFull_1_1mainWindow.html#a7fa65eb20e0c7985b7a864844ca531c7">__init__</a> (self, parent, percent, <a class="el" href="classsrc_1_1diskFull_1_1mainWindow.html#af6284fbb0bc7174905a039566f1e6e94">total</a>=0, <a class="el" href="classsrc_1_1diskFull_1_1mainWindow.html#a4629688bff5e225aaf73f9352889bde2">used</a>=0, title=&quot;Disk&quot;)</td></tr>
<tr class="memdesc:a7fa65eb20e0c7985b7a864844ca531c7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Le constructeur.  <a href="classsrc_1_1diskFull_1_1mainWindow.html#a7fa65eb20e0c7985b7a864844ca531c7">Plus de détails...</a><br /></td></tr>
<tr class="separator:a7fa65eb20e0c7985b7a864844ca531c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Attributs publics</h2></td></tr>
<tr class="memitem:a3ee91e72ff7f0ccc180144ab4a70b13d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1diskFull_1_1mainWindow.html#a3ee91e72ff7f0ccc180144ab4a70b13d">ui</a></td></tr>
<tr class="separator:a3ee91e72ff7f0ccc180144ab4a70b13d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8cdbc8504601abde84282057a5ee1e1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1diskFull_1_1mainWindow.html#ab8cdbc8504601abde84282057a5ee1e1">v</a></td></tr>
<tr class="separator:ab8cdbc8504601abde84282057a5ee1e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6284fbb0bc7174905a039566f1e6e94"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1diskFull_1_1mainWindow.html#af6284fbb0bc7174905a039566f1e6e94">total</a></td></tr>
<tr class="separator:af6284fbb0bc7174905a039566f1e6e94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4629688bff5e225aaf73f9352889bde2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1diskFull_1_1mainWindow.html#a4629688bff5e225aaf73f9352889bde2">used</a></td></tr>
<tr class="separator:a4629688bff5e225aaf73f9352889bde2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock">
<p class="definition">Définition à la ligne <a class="el" href="diskFull_8py_source.html#l00029">29</a> du fichier <a class="el" href="diskFull_8py_source.html">diskFull.py</a>.</p>
</div><h2 class="groupheader">Documentation des constructeurs et destructeur</h2>
<a id="a7fa65eb20e0c7985b7a864844ca531c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7fa65eb20e0c7985b7a864844ca531c7">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.diskFull.mainWindow.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>percent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>total</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>used</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>title</em> = <code>&quot;Disk&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Le constructeur. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">parent</td><td>un QWidget </td></tr>
    <tr><td class="paramname">percent</td><td>un pourcentage de remplissage de disque </td></tr>
    <tr><td class="paramname">total</td><td>place totale en kilo-octets </td></tr>
    <tr><td class="paramname">used</td><td>place utilisée en kilo-octets </td></tr>
    <tr><td class="paramname">title</td><td>le titre pour la fenêtre </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="diskFull_8py_source.html#l00038">38</a> du fichier <a class="el" href="diskFull_8py_source.html">diskFull.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Documentation des données membres</h2>
<a id="af6284fbb0bc7174905a039566f1e6e94"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af6284fbb0bc7174905a039566f1e6e94">&#9670;&nbsp;</a></span>total</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.diskFull.mainWindow.total</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="diskFull_8py_source.html#l00046">46</a> du fichier <a class="el" href="diskFull_8py_source.html">diskFull.py</a>.</p>

</div>
</div>
<a id="a3ee91e72ff7f0ccc180144ab4a70b13d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ee91e72ff7f0ccc180144ab4a70b13d">&#9670;&nbsp;</a></span>ui</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.diskFull.mainWindow.ui</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="diskFull_8py_source.html#l00042">42</a> du fichier <a class="el" href="diskFull_8py_source.html">diskFull.py</a>.</p>

</div>
</div>
<a id="a4629688bff5e225aaf73f9352889bde2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4629688bff5e225aaf73f9352889bde2">&#9670;&nbsp;</a></span>used</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.diskFull.mainWindow.used</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="diskFull_8py_source.html#l00047">47</a> du fichier <a class="el" href="diskFull_8py_source.html">diskFull.py</a>.</p>

</div>
</div>
<a id="ab8cdbc8504601abde84282057a5ee1e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8cdbc8504601abde84282057a5ee1e1">&#9670;&nbsp;</a></span>v</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.diskFull.mainWindow.v</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="diskFull_8py_source.html#l00045">45</a> du fichier <a class="el" href="diskFull_8py_source.html">diskFull.py</a>.</p>

</div>
</div>
<hr/>La documentation de cette classe a été générée à partir du fichier suivant :<ul>
<li>src/<a class="el" href="diskFull_8py_source.html">diskFull.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacesrc.html">src</a></li><li class="navelem"><a class="el" href="namespacesrc_1_1diskFull.html">diskFull</a></li><li class="navelem"><a class="el" href="classsrc_1_1diskFull_1_1mainWindow.html">mainWindow</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
